SDL_Swap64BE(3)

NAME
SDL_Swap64BE - Swap a 64-bit value from bigendian to native byte order.

SYNOPSIS
#include <SDL3/SDL_endian.h>

#define SDL_Swap64BE(x) SwapOnlyIfNecessary(x)

DESCRIPTION
If this is running on a bigendian system, x is returned unchanged.

This macro never references x more than once, avoiding side effects.

MACRO PARAMETERS

x   the value to swap, in bigendian byte order.

RETURN VALUE
Returns x in native byte order.

THREAD SAFETY
It is safe to call this macro from any thread.

AVAILABILITY
This macro is available since SDL 3.2.0.